Bug 983692 - Image corruptions in Firefox fixed by using xf86-video-intel-2.21.10 and a kernel patch
Image corruptions in Firefox fixed by using xf86-video-intel-2.21.10 and a ke...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 13:50 EDT by Erwan LE PENNEC
Modified: 2015-02-17 11:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:05:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel patch solving the issue (594 bytes, patch)
2013-07-11 13:50 EDT, Erwan LE PENNEC
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1144558 None None None Never

  None (edit)
Description Erwan LE PENNEC 2013-07-11 13:50:42 EDT
Created attachment 772342 [details]
kernel patch solving the issue

Description of problem: There is an old bug in drm/i915 that may cause graphic corruptions when using sna for instance in Firefox as described by:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1144558
for instance

Version-Release number of selected component (if applicable): 
kernel 3.9.9-301 and xorg-x11drv-intel 2.21.8

How reproducible: Every time


Steps to Reproduce:
1. Use sna accelation
2. Browse news.google.com

Actual results: Graphic corruptions on some thumbnails


Expected results: No corruptions


Additional info: This issue is fixed by using the latest version of xf86-video-intel (2.21.11) and applying the attached patch to the kernel...
Kernel fix seems on this way to land to main branch.
Comment 1 Fedora End Of Life 2015-01-09 13:51:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:05:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.